Bug 467270 - Build breaks with libtool 2.2.x
Build breaks with libtool 2.2.x
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: amanda (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 435737
  Show dependency treegraph
 
Reported: 2008-10-16 12:09 EDT by Braden McDaniel
Modified: 2008-12-04 06:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-04 06:36:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Braden McDaniel 2008-10-16 12:09:11 EDT
amanda's build breaks with libtool 2.2.x because the package's "autogen" script is being run.  This kind of thing is generally unnecessary and can result in breakage of the sort that's happening now.

I see that Makefile.am and configure.in are being patched rather extensively in this package.  There are a couple of alternative approaches you could take rather than calling autogen:

  * Patch configure and Makefile.in and avoid running the autotools altogether.
    This insulates the package from changes to Fedora's autotools.  The downside
    is that the resulting patches may be rather opaque and may be less resilient
    to upstream changes.

  * Call the autotools directly.  For this package, I think that means:

      aclocal
      autoconf
      automake

    This limit's the packages exposure to changes only in autoconf and automake,
    rather than exposing it to changes in whatever autogen might invoke.
Comment 1 Daniel Novotny 2008-10-20 07:42:07 EDT
hello, today I pushed a new amanda 2.6.0p2 into rawhide: does this problem still occur with the new version?
Comment 2 Bug Zapper 2008-11-25 22:55:36 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Pedro Lamarão 2008-11-27 19:14:32 EST
Is this the same bug as 467367 ?
Comment 4 Braden McDaniel 2008-11-27 22:36:07 EST
No... That's an apr bug.
Comment 5 Braden McDaniel 2008-11-27 22:36:28 EST
Not F10.
Comment 6 Daniel Novotny 2008-12-04 05:35:55 EST
so the rebase to 2.6.0p2 did not help anything?
Comment 7 Braden McDaniel 2008-12-04 05:57:03 EST
Yes, this appears to be fixed now.
Comment 8 Daniel Novotny 2008-12-04 06:36:37 EST
ok, closing

Note You need to log in before you can comment on or make changes to this bug.